Bug 137864 - cpuspeed needs to wait for sysfs to show up if it loads a module
cpuspeed needs to wait for sysfs to show up if it loads a module
Status: CLOSED CANTFIX
Product: Fedora
Classification: Fedora
Component: kernel-utils (Show other bugs)
3
i686 Linux
medium Severity medium
: ---
: ---
Assigned To: Dave Jones
Brian Brock
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-11-02 07:59 EST by Kay Sievers
Modified: 2015-01-04 17:11 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-10-30 11:26:56 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Kay Sievers 2004-11-02 07:59:55 EST
Description of problem:
cpuspeed should wait utils sysfs is populated after loading the cpu
modules. sysfs will take it's time to populate. A "sleep 1" after the
module loading fixes it for me.

if [ ! -f /sys/devices/system/cpu/cpu0/cpufreq/scaling_driver ]; then
        [ -n "$DRIVER" ] && /sbin/modprobe "$DRIVER"
        sleep 1
fi


Version-Release number of selected component (if applicable):
kernel-utils-2.4-13.1.39

How reproducible:
Always

Steps to Reproduce:
cpuspeed fails on every bootup

Additional info:
Comment 1 Dave Jones 2004-11-02 22:30:27 EST
I'd rather not use a sleep, as this is wasteful in the event that it isnt needed
(and time to bootup is already bad, so lets not make it worse).
probably it should use wait_for_sysfs
Comment 2 Matthew Miller 2006-07-10 16:57:11 EDT
Fedora Core 3 is now maintained by the Fedora Legacy project for security
updates only. If this problem is a security issue, please reopen and
reassign to the Fedora Legacy product. If it is not a security issue and
hasn't been resolved in the current FC5 updates or in the FC6 test
release, reopen and change the version to match.

Thank you!
Comment 3 John Thacker 2006-10-30 11:26:56 EST
Closing per lack of response to previous request for information.
This bug was originally filed against a much earlier version of Fedora
Core, and significant changes have taken place since the last version
for which this bug is confirmed.

Note that FC3 and FC4 are supported by Fedora Legacy for security
fixes only.  Please install a still supported version and retest.  If
it still occurs on FC5 or FC6, please reopen and assign to the correct
version.  Otherwise, if this a security issue, please change the
product to Fedora Legacy.  Thanks, and we are sorry that we did not
get to this bug earlier.

Note You need to log in before you can comment on or make changes to this bug.